Subject: bug#12484: bytecode.c compilation problem with old gcc

From: Dan Nicolaescu <[email-masked]>
Date: Fri, 21 Sep 2012 14:56:00 -0400

On an old machine with:

$ gcc --version
2.96

bytecode.c does not compile:

gcc   -g3 -O2 /home/dann/hack/emacs/Emacs-CVS/emacs/src/bytecode.c
emacs/src/bytecode.c: In function `exec_byte_code':
emacs/src/bytecode.c:672: duplicate array index in initializer
emacs/src/bytecode.c:672: (near initialization for `targets')
emacs/src/bytecode.c:672: warning: excess elements in array initializer
emacs/src/bytecode.c:672: warning: (near initialization for `targets')
emacs/src/bytecode.c:672: duplicate array index in initializer

Disabling BYTE_CODE_THREADED makes it work.

Maybe the #if that enables BYTE_CODE_THREADED needs to be refined a bit.